Similar to the Multi - Layiso

Discussion in 'AutoCAD' started by jb4pres, Jul 16, 2004.

  1. jb4pres

    jb4pres Guest

    The isolating works great my problem now is I don't know which ones I have done and haven't done. I need to freeze the layers. Cant really turn it off because I will be using the layon command.

    How about a lisp that freezes all 3 layers based on the original Road ... Road, Road - cen, and Road - edg.
     
    jb4pres, Jul 16, 2004
    #1
  2. jb4pres

    Doug Barr Guest

    So lemme get this straight.
    a) you needed to create the add'l 2 layers by picking the 'base' layer....
    check.
    b) you needed to pick one of the 'base' layers, and turn on only those 3 layers,
    all others off... check.
    c) now you want to freeze those 3 layers.
    First you'll need to either set current layer to something other than the 3
    layers you'll be freexing, like perhaps 0. Then you can freeze the 3 layers,
    turn everything else on, and then select your next base layer to
    multi-isolate...right?

    (defun c:muf () ; multi-freeze
    (setq layername (getvar "clayer"))
    (setq allnames (strcat layername "-cen," layername "-edg," layername))
    (command "layer" "t" "0" "s" "0" "f" allnames "on" "*" "")
    (princ)
    )

    (defun c:mui () ; multi-isolate
    (princ "\nSelect layer to isolate:")
    (setq layername (cdr (assoc 8 (entget (car (entsel))))))
    (setq allnames (strcat layername "-cen," layername "-edg," layername))
    (command "layer" "s" layername "off" "*" "n" "on" allnames "")
    (princ)
    )



    done and haven't done. I need to freeze the layers. Cant really turn it off
    because I will be using the layon command.
    Road, Road - cen, and Road - edg.
     
    Doug Barr, Jul 16, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.